Subject: [os2genau_digest] No. 704
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 4 Oct 2003 00:03:57 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 03 October 2003
 Number  704
**************************************************

Subjects for today
 
1  Re:  IBM & Microsoft - Kiss & make up? : John Angelico" <talldad at kepl dot com dot au>
2  Re:  IBM & Microsoft - Kiss & make up? : Ed Durrant <edurrant at bigpond dot net dot au>
3   Adapters for ADSL plus LAN Peer - Config Problem : =?iso-8859-1?q?Peter=20Godbold?= <jurraveel at yahoo dot com>
4  Re:  Adapters for ADSL plus LAN Peer - Config Problem : Graham <gn at smart-road dot com dot au>
5  Re:  Adapters for ADSL plus LAN Peer - Config Problem : Paul Smedley" <paul at smedley.info>
6  Re:  IBM Browser 2.0.1 vs Mozila 1.4 : David Forrester" <davidfor at internode.on dot net>

**= Email   1 ==========================**

Date:  Fri, 03 Oct 2003 10:16:45 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  IBM & Microsoft - Kiss & make up?

On Thu, 2 Oct 2003 22:55:31 +1000, Stan Pallis wrote:

>I like this part, my money is on MS doing a runner
>
>So is the cooperation between IBM and Microsoft for real this time, or is it
>OS/2 all over again? If Microsoft bolts when its proprietary interests come
>into play, we'll have our answer. But if Microsoft truly has become a wiser
>company post-Judge Jackson, it will do the right thing and continue to
>hammer out new standards, despite competitive differences, that benefit the
>industry at large.

Yes, I agree. To paraphrase: "You can always trust Microsoft to
be...Microsoft!" 

The difference between the two big antagonists of the DOJ appear to me like
this.

The IBM culture of monopoly-think was not grounded in a totally selfish
world-view, but a pragmatic view of the *legitimate* existence competition.
 It's a bit like the old definition of heresy: someone who's beliefs are
opposite to mine, but who could still be accepted as a (Christian) believer
in an overall sense.

So when the DOJ basically won the consent decrees (ie. IBM lost a number of
times) the realisation dawned, and was reinforced by the change in the
marketplace - IBM bled red ink in oceanic proportions. The corporate
strategy was changed to openness for survival. I am still convinced that
the abandonment of OS/2 was a mistake in that, but that's water under the
bridge, and has been partially retrieved by the corporate/retail separation
and the existence of SSI and eCS.

By contrast, the world-view of Microsoft is outright kill off everything
that's not MS, since we not only want to rule the world, but we want to own
*everything.* It's view of the competition is "Kill! Kill! Kill!" - a raw
selfishness equivalent to the new definition of a heretic: someone who is
now a non-person and who doesn't deserve to live.

So victories by the DOJ the courts the EC the civil cases and the IP cases
against MS, have little restraining impact upon MS behaviour at all. The
company continues pursuing its goal, but becomes more fanatical, more
covert, and moves more into double-speak ("Secure Computing Initiative"
anyone?) without altering its fundamental business model. 

The entire process presents an appearance of meeting customer needs, but
ONLY on MS's terms. So their business model of doing the least amount
possible to supply what customers apparently want continues. This
dedication to mediocrity which is not shared throughout the rest of the
industry, clashes with the various commitments to engineering quality (HP),
customer service (IBM, the old Tandem) or innovation (3M) found elsewhere. 

To the extent they are forced to co-operate with competitors MS will do so,
but only so far as to advance their own goals. Since those goals are
expressed in terms of total dominance, I expect there will be 
a) a campaign to bend or move the "industry standards" to MS's purposes
(eg. various file/data formats, or networking incl the Internet protocols,
and I am concerned about what might happen to SQL)
and/or
b) a program of FUD and polluting of the existing standard while offering a
new MS-only alternative (eg. Java vs .NET and C# and the idea of a new
proprietary file-store protocol which keeps coming out of "Longhorn"
discussions)

Since Java is about to achieve "critical mass" MS is deeply worried about
losing its iron grip on the developer community, so I would expect more of
b).

Until MS feels the impact of red ink, I don't see any prospect for changing
the scenario in the short term. It reminds me of how the Untouchables
finally busted Al Capone, by drying up the source of funds that kept the
corrupted wheels of Chicago greased in favour of the Mob. But it took a
long time. 

And I did not choose the analogy frivolously, folks.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Windows XP: The parts that work came from OS/2, the rest from Microsoft
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 03 Oct 2003 12:14:17 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  IBM & Microsoft - Kiss & make up?

Just to muddy the waters even more, the rumour about IBM buying SUN has come up again

Has anyone here heard anything about this ?

SUN effectively "own" JAVA.

Cheers/2

Ed.

John Angelico wrote:

>
> Yes, I agree. To paraphrase: "You can always trust Microsoft to
> be...Microsoft!"
>
> The difference between the two big antagonists of the DOJ appear to me like
> this.
>
> The IBM culture of monopoly-think was not grounded in a totally selfish
> world-view, but a pragmatic view of the *legitimate* existence competition.
>  It's a bit like the old definition of heresy: someone who's beliefs are
> opposite to mine, but who could still be accepted as a (Christian) believer
> in an overall sense.
>
> So when the DOJ basically won the consent decrees (ie. IBM lost a number of
> times) the realisation dawned, and was reinforced by the change in the
> marketplace - IBM bled red ink in oceanic proportions. The corporate
> strategy was changed to openness for survival.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 3 Oct 2003 16:48:44 +1000 (EST)
From:  Peter Godbold <jurraveel at yahoo dot com>
Subject:   Adapters for ADSL plus LAN Peer - Config Problem

Anyone help with a problem involving configuring two Realtek Ethernet adapters on an eCS 1.1 system to access both an ADSL Internet link and a two-workstation home office peer-to-peer LAN?
 
The NICs are Realtek 8139 Fast Ethernet Adapters with chips reported as RTL8100B/8139D in both. I am using NIC driver RTSND.OS2 V3.23vk dated 2003-01-27, as shipped with eCS 1.1.
 
I have removed IRQ levels 9 and 10 from the BIOS PCI assignments, but in trying to assign the NIC adapters to these IRQs, the first assigns to Level 9 OK, but the second gives a :
 
<Warning: PCI BIOS function "SET PCI IRQ failed" - set failed (88)>
 
message during system boot.
 
Is this a show-stopper?  I'm getting subsequent BIND problems (PRO0025 message pointing to PPPOE_nif) even though, after boot-up, Hardware Manager shows the Ethernet Adapters as assigned to IRQs 9 and 10 respectively, with no conflicts. Both PROTOCOL.INI and IBMLAN.INI seem consistent, and I can PING the loopback interface, but there seems to be no other TCP/IP routes visible.
 
Any advice much appreciated!
 
Peter Godbold

---------------------------------
Yahoo! Search
- Looking for more? Try the new Yahoo! Search
[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 03 Oct 2003 16:29:57 +0930
From:  Graham <gn at smart-road dot com dot au>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

Peter Godbold wrote:

>Anyone help with a problem involving configuring two Realtek Ethernet adapters on an eCS 1.1 system to access both an ADSL Internet link and a two-workstation home office peer-to-peer LAN?
> 
>The NICs are Realtek 8139 Fast Ethernet Adapters with chips reported as RTL8100B/8139D in both. I am using NIC driver RTSND.OS2 V3.23vk dated 2003-01-27, as shipped with eCS 1.1.
> 
>I have removed IRQ levels 9 and 10 from the BIOS PCI assignments, but in trying to assign the NIC adapters to these IRQs, the first assigns to Level 9 OK, but the second gives a :
> 
><Warning: PCI BIOS function "SET PCI IRQ failed" - set failed (88)>
> 
>message during system boot.
> 
>Is this a show-stopper?  I'm getting subsequent BIND problems (PRO0025 message pointing to PPPOE_nif) even though, after boot-up, Hardware Manager shows the Ethernet Adapters as assigned to IRQs 9 and 10 respectively, with no conflicts. Both PROTOCOL.INI and IBMLAN.INI seem consistent, and I can PING the loopback interface, but there seems to be no other TCP/IP routes visible.
> 
>Any advice much appreciated!
> 
>Peter Godbold
>
>
>
>
>
>
>---------------------------------
>Yahoo! Search
>- Looking for more? Try the new Yahoo! Search
>[attachments have been removed]

> 

>
>  
>
I have the same setup and will send you the files - Paul Smedley may be 
the best but he is off OS for a non computer holiday !

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 03 Oct 2003 16:39:43 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

Hi Peter & Graham,

On Fri, 03 Oct 2003 16:29:57 +0930, Graham wrote:

>Peter Godbold wrote:
>
>>The NICs are Realtek 8139 Fast Ethernet Adapters with chips reported as 
RTL8100B/8139D in both. I am using NIC driver RTSND.OS2 V3.23vk dated 2003-01-27, as 
shipped with eCS 1.1.
>> 
>>I have removed IRQ levels 9 and 10 from the BIOS PCI assignments, but in trying to 
assign the NIC adapters to these IRQs, the first assigns to Level 9 OK, but the second gives a 
:
>> 
>><Warning: PCI BIOS function "SET PCI IRQ failed" - set failed (88)>
>> 
>>message during system boot.
>> 
>>Is this a show-stopper?  I'm getting subsequent BIND problems (PRO0025 message 
pointing to PPPOE_nif) even though, after boot-up, Hardware Manager shows the Ethernet 
Adapters as assigned to IRQs 9 and 10 respectively, with no conflicts. Both PROTOCOL.INI 
and IBMLAN.INI seem consistent, and I can PING the loopback interface, but there seems to 
be no other TCP/IP routes visible.

There is a newer version of Veit's driver - downloadable from the eCS website.  Could also 
be that one of the IRQs is also in use by another driver that won't allow the sharing of the 
IRQ - eg a sound driver.

With Veit's Realtek driver - both NICs can share an IRQ - so if your m/board allows you to 
specify IRQs for each slot, make both NICs the same IRQ.

>I have the same setup and will send you the files - Paul Smedley may be 
>the best but he is off OS for a non computer holiday !

Graham's files are a good start as they show the protocol for clearly identifying each NIC.

Graham is right about me heading OS - but I don't leave until Tuesday :)

Cheers,

Paul.

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 03 Oct 2003 21:11:10 +1000 (EST)
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re:  IBM Browser 2.0.1 vs Mozila 1.4

On Tue, 30 Sep 2003 21:33:37 +1000 (EST), Daryl Pilkington wrote:

>Hi All,
>Which browser has less bugs & better compatability with web-sites:
>IBM Browser 2.0.1 or Mozilla 1.4 (Gecko/20030624)

It's a bit hard to say.  The difference between the IBM Browser and the
equivalent Mozilla is very small.   IBM Browser might have few extra
bugs fixed, but, it also tends comes out several months later.  But,
From memory, IBM Browser 2.0.1 is equivalent to Mozilla 1.3 or maybe
1.3.1.   So, it's probable that any bugs fixed in it, have also been
fixed in Mozilla 1.4.  But, as 1.4 has extra function, there may be
other bugs.  

As to compatibility, I assume you mean with pages, or Netscape 4.61,
there's probably not that much difference between the two.  1.4
probably renders pages better.

Personally, I'm using 1.5rc2 on both OS/2 and Win2000.  And WinXP at
work.  At the moment I can only find one minor problem - dragging a
page to the personal toolbar does not open the bookmark folder menu.  

>
>Has anyone got Adelaide Bank's Java app to work with Mozilla 1.4?
>Peoples experiences please using the versions above.

I went to the Adelaide Bank using 1.5rc2 and clicked on the banking
logon link.  A page opened and displayed a logon that appeared to be in
Java.  As I don't have an account there, I couldn't login.  It seemed
to work to type junk in and press login and have it tell me I needed a
valid customer number.  This is with the Innotek Java 1.4.2 loaded in
Mozilla 1.5.rc2.
--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------